Bug 1299035 - [abrt] xfce4-settings: find_root(): xfce4-keyboard-settings killed by SIGSEGV
[abrt] xfce4-settings: find_root(): xfce4-keyboard-settings killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-settings (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f1f2b16147cc5bea3141e4be69a...
:
: 1338547 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 13:21 EST by Eric Harney
Modified: 2016-12-20 12:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:55:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.18 KB, text/plain)
2016-01-15 13:21 EST, Eric Harney
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-15 13:21 EST, Eric Harney
no flags Details
File: core_backtrace (7.97 KB, text/plain)
2016-01-15 13:21 EST, Eric Harney
no flags Details
File: dso_list (9.11 KB, text/plain)
2016-01-15 13:21 EST, Eric Harney
no flags Details
File: environ (1.74 KB, text/plain)
2016-01-15 13:21 EST, Eric Harney
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-15 13:21 EST, Eric Harney
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-15 13:21 EST, Eric Harney
no flags Details
File: maps (45.67 KB, text/plain)
2016-01-15 13:21 EST, Eric Harney
no flags Details
File: mountinfo (3.34 KB, text/plain)
2016-01-15 13:21 EST, Eric Harney
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-15 13:21 EST, Eric Harney
no flags Details
File: open_fds (593 bytes, text/plain)
2016-01-15 13:21 EST, Eric Harney
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2016-01-15 13:21 EST, Eric Harney
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-01-15 13:21 EST, Eric Harney
no flags Details

  None (edit)
Description Eric Harney 2016-01-15 13:21:40 EST
Description of problem:
Attempting to assign keyboard shortcut ctrl-alt-l to ~/bin/lockscreen.sh resulted in a crash.

Version-Release number of selected component:
xfce4-settings-4.12.0-6.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        xfce4-keyboard-settings
crash_function: find_root
executable:     /usr/bin/xfce4-keyboard-settings
global_pid:     350485
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 find_root at gsequence.c:1557
 #1 node_get_last at gsequence.c:1591
 #2 get_sequence at gsequence.c:175
 #3 g_sequence_iter_get_sequence at gsequence.c:1166
 #4 gtk_list_store_remove at gtkliststore.c:964
 #5 xfce_keyboard_settings_edit_button_clicked at xfce-keyboard-settings.c:1164
 #6 _g_closure_invoke_va at gclosure.c:864
 #9 gtk_real_button_released at gtkbutton.c:1712
 #10 _g_closure_invoke_va at gclosure.c:864
 #13 gtk_button_button_release at gtkbutton.c:1604
Comment 1 Eric Harney 2016-01-15 13:21:44 EST
Created attachment 1115225 [details]
File: backtrace
Comment 2 Eric Harney 2016-01-15 13:21:45 EST
Created attachment 1115226 [details]
File: cgroup
Comment 3 Eric Harney 2016-01-15 13:21:46 EST
Created attachment 1115227 [details]
File: core_backtrace
Comment 4 Eric Harney 2016-01-15 13:21:47 EST
Created attachment 1115228 [details]
File: dso_list
Comment 5 Eric Harney 2016-01-15 13:21:48 EST
Created attachment 1115229 [details]
File: environ
Comment 6 Eric Harney 2016-01-15 13:21:49 EST
Created attachment 1115230 [details]
File: exploitable
Comment 7 Eric Harney 2016-01-15 13:21:50 EST
Created attachment 1115231 [details]
File: limits
Comment 8 Eric Harney 2016-01-15 13:21:51 EST
Created attachment 1115232 [details]
File: maps
Comment 9 Eric Harney 2016-01-15 13:21:52 EST
Created attachment 1115233 [details]
File: mountinfo
Comment 10 Eric Harney 2016-01-15 13:21:53 EST
Created attachment 1115234 [details]
File: namespaces
Comment 11 Eric Harney 2016-01-15 13:21:54 EST
Created attachment 1115235 [details]
File: open_fds
Comment 12 Eric Harney 2016-01-15 13:21:55 EST
Created attachment 1115236 [details]
File: proc_pid_status
Comment 13 Eric Harney 2016-01-15 13:21:56 EST
Created attachment 1115237 [details]
File: var_log_messages
Comment 14 Kevin Fenzi 2016-01-16 12:13:30 EST
Does it work if you give the full path instead of ~ ?
Comment 15 Eric Harney 2016-01-18 11:28:39 EST
It turned out to require the full path for the command to actually work.  But, I can't reproduce the crash either way.
Comment 16 joeffel.faelnar 2016-05-22 13:06:21 EDT
*** Bug 1338547 has been marked as a duplicate of this bug. ***
Comment 17 Fedora End Of Life 2016-11-24 09:58:50 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 12:55:52 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.